<?php
$form = $this->form;
$form->setAttribute('action', $this->url() . '/form_pageppj');
$form->setAttribute("id", "demo-form");
$form->setAttribute("class", "form-horizontal pad15L pad15R pad15T");
$form->setAttribute("data-parsley-validate", "data-parsley-validate");
$form->setAttribute('enctype', 'multipart/form-data');
$form->prepare();
?>

<style type="text/css">
    blink, .blink {
        -webkit-animation: blink 1s step-end infinite;
        -moz-animation: blink 1s step-end infinite;
        -o-animation: blink 1s step-end infinite;
        animation: blink 1s step-end infinite;
    }

    @-webkit-keyframes blink {
        67% { opacity: 0 }
    }

    @-moz-keyframes blink {
        67% { opacity: 0 }
    }

    @-o-keyframes blink {
        67% { opacity: 0 }
    }

    @keyframes blink {
        67% { opacity: 0 }
    }
</style>
<div id="page-content-wrapper" style="font-size:12px">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <i class="glyph-icon icon-pencil"></i>
                    Pendataan <?= $datapendaftaran['s_namajenis'] ?><b class="blink" style="font-size: 12px; color: red"><?= $message ?></b>
                </h4>
            </div>
            <div class="panel-body">
                <div class="example-box-wrapper">
                    <div class="row">
                        <div class="col-md-12 center-div">
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style="text-align:center; background:black; border-radius: 25px; color: orange; padding: 5px 15px 5px 15px; font-size: 16px; font-weight:bolder">NPWPD : <?= $datapendaftaran['t_npwpd'] ?> / ID OP : <?= $datapendaftaran['t_nop'] ?></span>
                        </div>
                    </div>
                    <?= $this->form()->openTag($form) ?>
                    <div class="col-md-6">

                        <div class="content-box">
                            <h3 class="content-box-header content-box-header-alt bg-success">
                                <span class="icon-separator">
                                    <i class="glyph-icon icon-database"></i>
                                </span>
                                <span class="header-wrapper">
                                    Data WP
                                </span>
                            </h3>
                            <div class="content-box-wrapper">
                                <div class='row'>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">NIK</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_nik'] ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">Nama</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_nama'] ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">Alamat</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_alamat_lengkap'] ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="col-md-6">
                        <div class="content-box">
                            <h3 class="content-box-header content-box-header-alt bg-success">
                                <span class="icon-separator">
                                    <i class="glyph-icon icon-database"></i>
                                </span>
                                <span class="header-wrapper">
                                    Data OP
                                </span>
                            </h3>
                            <div class="content-box-wrapper">
                                <div class='row'>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">NIOP</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_nop'] ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">Nama</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_namaobjek'] ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <label class="col-sm-2">Alamat</label>
                                        <div class="col-sm-10">
                                            : <?= $datapendaftaran['t_alamatobjek'] ?>
                                            ,RT. <?= $datapendaftaran['t_rtobjek'] ?>
                                            ,RW. <?= $datapendaftaran['t_rwobjek'] ?>
                                            ,Desa/Kel. <?= $datapendaftaran['s_namakelobjek'] ?>
                                            ,Kec. <?= $datapendaftaran['s_namakecobjek'] ?>
                                            ,Kab. <?= $datapendaftaran['t_kabupatenobjek'] ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="alert alert-info">
                                <div class="alert-content">
                                    <h4 class="alert-title"><b style="color: #000099">Histori Pajak</b></h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div id="datatransaksi"></div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="alert alert-warning">
                                <div class="alert-content">
                                    <h4 class="alert-title"><b style="color: #000099">Data Pendataan</b></h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Nomor SPTPD</label>
                            <div class="col-sm-2">
                                <input type="hidden" name="t_jenisobjekpajak" value="<?= $datapendaftaran['t_jenisobjek'] ?>">
                                <?= $this->formHidden($form->get("t_idtransaksi")) ?>
                                <?= $this->formHidden($form->get("t_iddetailppj")) ?>
                                <?= $this->formHidden($form->get("t_idobjek")) ?>
                                <?= $this->formHidden($form->get("t_jenispajak")) ?>
                                <?= $this->formText($form->get("t_nourut")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Periode Pajak</label>
                            <div class="col-sm-2">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_periodepajak")) ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Tanggal Pendataan</label>
                            <div class="col-sm-2">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_tglpendataan")) ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Masa Pajak</label>
                            <div class="col-sm-5">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_masaawal")) ?>
                                <!--</div>-->
                                <span class="input-group-addon" style="background-color: #EEEEEE"><b>s/d</b></span>
                                <!--<div class="input-prepend input-group">-->
                                    <?= $this->formText($form->get("t_masaakhir")) ?>
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    
                                </div>
                            </div>
                            <?php if ($datapendaftaran['t_jenisobjek'] == 2) { ?>
                                <div class="col-sm-3">
                                    <input type="text" name="t_berdasarmasa" id="t_berdasarmasa" class="form-control" style="background:black; color: greenyellow; padding: 7px 10px; height:40px; font-size: 16px; font-weight:bolder" value="<?= $t_berdasarmasa ?>">
                                </div>
                            <?php } else { ?>
                                <div class="col-sm-3">
                                    <input type="hidden" name="t_berdasarmasa" id="t_berdasarmasa">
                                </div>
                            <?php } ?>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Kode Rekening</label>
                            <div class="col-sm-2">
                                <?= $this->formHidden($form->get("t_idkorek")) ?>
                                <?= $this->formText($form->get("t_korek")) ?>
                            </div>
                            <div class="col-sm-1"><button type="button" class="btn btn-sm btn-primary" onclick="bukamodalRekening()"><span class="glyph-icon icon-search"></span></button></div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Nama Rekening</label>
                            <div class="col-sm-4">
                                <?= $this->formText($form->get("t_namakorek")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12" id="div_golongan">
                            <label class="col-sm-2 control-label">Golongan Tarif</label>
                            <div class="col-sm-4">
                                <?= $this->formSelect($form->get("t_golongantarif")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12" id="div_jmlhkwh">
                            <label class="col-sm-2 control-label">Jumlah KWH</label>
                            <div class="col-sm-3">
                                <?= $this->formText($form->get("t_jmlhkwh")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12" id="div_nonpln">
                            <label class="col-sm-2 control-label">Dasar Pengenaan (Rp.)</label>
                            <div class="col-sm-2">
                                <?= $this->formText($form->get("t_dasarpengenaan")) ?>
                            </div>
                            <label class="col-sm-1 control-label">Tarif (%)</label>
                            <div class="col-sm-1">
                                <?= $this->formText($form->get("t_tarifpajak")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12" id="div_pln">
                            <label class="col-sm-2 control-label"></label>
                            <div class="col-sm-10">
                                <table class="table table-bordered table-striped" width="100%">
                                    <tr style="background: #60a0db;color: #fff;font-weight: bold;">
                                        <td width="25%">Jenis Tarif</td>
                                        <td>Jumlah Pembayaran Diterima</td>
                                        <td width="10%">Tarif (%)</td>
                                        <td width="25%">Pajak Terhutang (Rp)</td>
                                    </tr>
                                    <tr>
                                        <td style="color:black;font-weight: bold;">Rumah Tangga</td>
                                        <td><input type="text" class="form-control" style="text-align:right;" value="<?=number_format($detailppj->current()['t_nilailistrik_rt'], 0, ',','.')?>" id="t_nilailistrik_rt" name="t_nilailistrik_rt" onblur="this.value = formatCurrency(this.value);" onkeyup="hitungpajakppjpln();this.value = formatCurrency(this.value);" onkeypress="return numbersonly(this, event);"></td>
                                        <td><input type="text" class="form-control" style="text-align:right;" value="<?=(!empty($detailppj->current()['t_tarif_rt'])) ? $detailppj->current()['t_tarif_rt'] : 4 ?>" id="t_tarif_rt" name="t_tarif_rt" onblur="this.value = formatCurrency(this.value);" onkeyup="hitungpajakppjpln();this.value = formatCurrency(this.value);" onkeypress="return numbersonly(this, event);"></td>
                                        <td><input type="text" class="form-control" style="text-align:right;" value="<?=number_format($detailppj->current()['t_pajakterhutang_rt'], 0, ',','.')?>" id="t_pajakterhutang_rt" name="t_pajakterhutang_rt" onblur="this.value = formatCurrency(this.value);" onkeyup="this.value = formatCurrency(this.value);" onkeypress="return numbersonly(this, event);"></td>
                                    </tr>
                                    <tr>
                                        <td style="color:black;font-weight: bold;">Non Rumah Tangga</td>
                                        <td><input type="text" class="form-control" style="text-align:right;" value="<?=number_format($detailppj->current()['t_nilailistrik_nonrt'], 0, ',','.')?>" id="t_nilailistrik_nonrt" name="t_nilailistrik_nonrt" onblur="this.value = formatCurrency(this.value);" onkeyup="hitungpajakppjpln();this.value = formatCurrency(this.value);" onkeypress="return numbersonly(this, event);"></td>
                                        <td><input type="text" class="form-control" style="text-align:right;" value="<?=(!empty($detailppj->current()['t_tarif_nonrt'])) ? $detailppj->current()['t_tarif_rt'] : 5 ?>" id="t_tarif_nonrt" name="t_tarif_nonrt" onblur="this.value = formatCurrency(this.value);" onkeyup="hitungpajakppjpln();this.value = formatCurrency(this.value);" onkeypress="return numbersonly(this, event);"></td>
                                        <td><input type="text" class="form-control" style="text-align:right;" value="<?=number_format($detailppj->current()['t_pajakterhutang_nonrt'], 0, ',','.')?>" id="t_pajakterhutang_nonrt" name="t_pajakterhutang_nonrt" onblur="this.value = formatCurrency(this.value);" onkeyup="this.value = formatCurrency(this.value);" onkeypress="return numbersonly(this, event);"></td>
                                    </tr>
                                    <tr>
                                        <td style="color:black;font-weight: bold;">Industri</td>
                                        <td><input type="text" class="form-control" style="text-align:right;" value="<?=number_format($detailppj->current()['t_nilailistrik_industri'], 0, ',','.')?>" id="t_nilailistrik_industri" name="t_nilailistrik_industri" onblur="this.value = formatCurrency(this.value);" onkeyup="hitungpajakppjpln();this.value = formatCurrency(this.value);" onkeypress="return numbersonly(this, event);"></td>
                                        <td><input type="text" class="form-control" style="text-align:right;" value="<?=(!empty($detailppj->current()['t_tarif_industri'])) ? $detailppj->current()['t_tarif_rt'] : 3 ?>" id="t_tarif_industri" name="t_tarif_industri" onblur="this.value = formatCurrency(this.value);" onkeyup="hitungpajakppjpln();this.value = formatCurrency(this.value);" onkeypress="return numbersonly(this, event);"></td>
                                        <td><input type="text" class="form-control" style="text-align:right;" value="<?=number_format($detailppj->current()['t_pajakterhutang_industri'], 0, ',','.')?>" id="t_pajakterhutang_industri" name="t_pajakterhutang_industri" onblur="this.value = formatCurrency(this.value);" onkeyup="this.value = formatCurrency(this.value);" onkeypress="return numbersonly(this, event);"></td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                        <div id="kenaikan" style="display: none">
                            <div class="col-sm-12">
                                <label class="col-sm-2 control-label">Tarif Kenaikan (%)</label>
                                <div class="col-sm-1">
                                    <input type="text" name="t_tarifkenaikan" id="t_tarifkenaikan" class="form-control" readonly="" value="0">
                                </div>
                                <div class="col-sm-1">
                                    <a href="javascript:void(0)" class="btn btn-danger btn-sm" onclick="nonskpdjabatan()"><span class="glyph-icon icon-close"></span> Non SKPD Jabatan</a>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2 control-label">Jumlah Kenaikan</label>
                                <div class="col-sm-4">
                                    <input type="text" name="t_jmlhkenaikan" id="t_jmlhkenaikan" class="form-control" readonly="" value="0">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Total Pajak (Rp.)</label>
                            <div class="col-sm-4">
                                <?= $this->formText($form->get("t_jmlhpajak")) ?>
                            </div>
                        </div>
                    </div>
                    <div class="bg-default" id="tombolsimpan">
                        <?= $this->formInput($form->get('Pendataansubmit')) ?> 
                    </div>
                    <?= $this->form()->closeTag($form) ?>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modalRekening" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><b>Data Rekening</b></h4>
            </div>
            <div class='modal-body'>
                <input type="hidden" id="t_jenisobjek" value="<?= $datapendaftaran['t_jenisobjek'] ?>">
                <div>
                    <table class="table table-condensed table-bordered cf" style="font-size: 11px; color: black">
                        <thead class="cf">
                            <tr class="bg-blue">
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    Kode Rekening
                                </th>
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    Nama Rekening
                                </th>
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    Tarif
                                </th>
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    Pilihan
                                </th>
                            </tr>
                            <tr>
                                <td>
                                    <input type="text" id="korek" class="form-control input-sm" onkeyup="calldataGridRekening()">
                                </td>
                                <td>
                                    <input type="text" id="s_namakorek" class="form-control input-sm" onkeyup="calldataGridRekening()">
                                </td>
                                <td>
                                    <input type="text" id="s_persentarifkorek" class="form-control input-sm" onkeyup="calldataGridRekening()">
                                </td>
                                <td></td>
                            </tr>
                        </thead>
                        <tbody id="listrekening">
                        </tbody>
                        <tfoot>              
                            <tr>
                                <td colspan="4" class="text-center">
                                    <div class="row">
                                        <div class="col-sm-4 text-left">Jumlah Baris Ditampilkan: <input type="text" id="rows" style="width: 20%" class="text-center" value="10"></div>
                                        <div class="col-sm-3">
                                            <a href="#" onclick="calldataGridRekening(1);
                                                    return false;"><span class="glyphicon glyphicon-step-backward" aria-hidden="true"></span></a>

                                            <input type="text" id="page" value="1" style="width: 20%" class="text-center">

                                            <a href="#" onclick="calldataGridRekening(2);
                                                    return false;"><span class="glyphicon glyphicon-step-forward" aria-hidden="true"></span></a>
                                        </div>
                                        <div class="col-sm-5 text-right">
                                            <p>Jumlah Data <span id="total_data"></span>&nbsp;Jumlah Halaman <span id="total_halaman"></span></p>                                    
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modalSimpan" tabindex="-1" aria-hidden="true" style="text-align: center;width: 100%;">
    <div class="lds-spinner"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
</div>
<style>
    #tableLampiran th {
        background-color: #00BCA4;
        color:white;
    }
    #tableLampiran input[type=text]{
        text-align: right;
    }
</style>
<script>
    
    $('#Pendataansubmit').click(function () {
        var myForm = document.getElementById('demo-form');
        myForm.onsubmit = function () {
            var allInputs = myForm.getElementsByTagName('input');
            var input, i;

            for (i = 0; input = allInputs[i]; i++) {
                if (input.getAttribute('name') && !input.value) {
                    //input.setAttribute('name', '');

                } else {
                    jQuery('#modalSimpan').modal('show');
                }
            }
        };
    });
    
    
    function calldataGridRekening(direction) {
        dataGridRekening($("#page").val(), $("#rows").val(), direction);
    }

    function dataGridRekening(page, row, direction) {
        $.post('<?= $this->url() ?>/dataGridRekening/' + null + '/' + page + '/' + row + '/' + direction + '?korek=' + $("#korek").val() + "&s_namakorek=" + $("#s_namakorek").val() + "&s_persentarifkorek=" + $("#s_persentarifkorek").val() + "&t_jenisobjek=" + $("#t_jenisobjek").val(), function (data) {
            var aa = JSON.parse(data);
            $("#listrekening").html(aa.grid);
            $("#rows").val(aa.rows);
            $("#page").val(aa.page);
            $("#total_data").html(": " + aa.count);
            $("#total_halaman").html(": " + aa.total_halaman);
        });
    }

    function bukamodalRekening() {
        calldataGridRekening();
        $('#modalRekening').modal('show');
    }

    function pilihRekening(a) {
        $.post('<?= $this->url() ?>/pilihRekening', {s_idkorek: a}, function (data) {
            var aa = JSON.parse(data);
            $('#t_idkorek').val(aa.t_idkorek);
            $('#t_korek').val(aa.t_korek);
            $('#t_namakorek').val(aa.t_namakorek);
            $('#t_tarifpajak').val(aa.t_tarifpajak);
            $('#t_berdasarmasa').val(aa.t_berdasarmasa);
            $('#t_tarifdasar').val(aa.t_tarifdasarkorek);
            $('#modalRekening').modal('hide');
            
            if(aa.t_idkorek == 449 || aa.t_idkorek == 451){
                $('#div_golongan').show();
                $('#div_jmlhkwh').show();
                $('#div_nonpln').show();
                $('#div_pln').hide();
                
                $('#t_nilailistrik_rt').val('');
                $('#t_nilailistrik_nonrt').val('');
                $('#t_nilailistrik_industri').val('');
                
                $('#t_tarif_rt').val('');
                $('#t_tarif_nonrt').val('');
                $('#t_tarif_industri').val('');
                
                $('#t_pajakterhutang_rt').val('');
                $('#t_pajakterhutang_nonrt').val('');
                $('#t_pajakterhutang_industri').val('');
                
                $('#t_golongantarif').attr('required','required');
                $('#t_jmlhkwh').attr('required','required');
                $('#t_dasarpengenaan').attr('required','required');
            }else{
                $('#div_golongan').hide();
                $('#div_jmlhkwh').hide();
                $('#div_nonpln').hide();
                $('#div_pln').show();
                
                $('#t_tarif_rt').val(4);
                $('#t_tarif_nonrt').val(5);
                $('#t_tarif_industri').val(3);
                
                $('#t_golongantarif').removeAttr('required');
                $('#t_jmlhkwh').removeAttr('required');
                $('#t_dasarpengenaan').removeAttr('required');
                
            }
        });
    }

    $(function () {
        CariPendataanByObjek();
        pilihRekening($('#t_idkorek').val());
    });
    
    function hitungpajakppjpln() {
        $.post('<?= $this->url() ?>/hitungpajakppjpln', {
            t_nilailistrik_rt: $('#t_nilailistrik_rt').val(), 
            t_nilailistrik_nonrt: $('#t_nilailistrik_nonrt').val(), 
            t_nilailistrik_industri: $('#t_nilailistrik_industri').val(), 
            t_tarif_rt: $('#t_tarif_rt').val(), 
            t_tarif_nonrt: $('#t_tarif_nonrt').val(), 
            t_tarif_industri: $('#t_tarif_industri').val()
        }, function (data) {
            var aa = JSON.parse(data);
            $('#t_pajakterhutang_rt').val(aa.t_pajakterhutang_rt);
            $('#t_pajakterhutang_nonrt').val(aa.t_pajakterhutang_nonrt);
            $('#t_pajakterhutang_industri').val(aa.t_pajakterhutang_industri);
            $('#t_jmlhpajak').val(aa.t_jmlhpajak);
        });
    }
    
    function hitungpajakppj() {
        $.post('<?= $this->url() ?>/hitungpajakppj', {
            t_jmlhkwh: $('#t_jmlhkwh').val(), 
            t_golongantarif: $('#t_golongantarif').val(), 
            t_tarifpajak: $('#t_tarifpajak').val()
        }, function (data) {
            var aa = JSON.parse(data);
            $('#t_dasarpengenaan').val(aa.t_dasarpengenaan);
            $('#t_jmlhpajak').val(aa.t_jmlhpajak);
        });
    }

    function CariPendataanByObjek() {
        $.post('<?= $this->url() ?>/CariPendataanByObjek', {idobjek: $("#t_idobjek").val(), periodepajak: $("#t_periodepajak").val()}, function (data) {
            var aa = JSON.parse(data);
            $("#datatransaksi").html(aa.datatransaksi);
        });
    }

    function pilihskpdjabatan(a) {
        $.post('<?= $this->url() ?>/pilihskpdjabatan', {parameter: a}, function (data) {
            var aa = JSON.parse(data);
            $("#t_tglpendataan").val(aa.t_tglpendataan);
            $("#t_masaawal").val(aa.t_masaawal);
            $("#t_masaakhir").val(aa.t_masaakhir);
            $("#t_tarifkenaikan").val(aa.t_tarifkenaikan);
        });
        document.getElementById("kenaikan").style.display = "block";
        setTimeout(function () {
            hitungpajak();
        }, 1000);
    }

    function nonskpdjabatan() {
        document.getElementById("kenaikan").style.display = "none";
        $("#t_tarifkenaikan").val(0);
        hitungpajak();
    }

    $('#t_masaawal').change(function () {
        $.post('<?= $this->url() ?>/hitungtgl', {t_masaawal: $('#t_masaawal').val()}, function (data) {
            var aa = JSON.parse(data);
            $("#t_masaakhir").val(aa.t_masaakhir);
            $("#t_masaawal").val(aa.t_masaawal);
        });
    });

    $('#t_masaakhir').change(function () {
        $.post('<?= $this->url() ?>/formattgl', {tgl: $('#t_masaakhir').val()}, function (data) {
            var aa = JSON.parse(data);
            $("#t_masaakhir").val(aa.tgl);
        });
    });
</script>
<div class="modal fade" id="modalCetakSuratTeguran" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><b>CETAK SuratTeguran</b></h4>
            </div>
            <div class='modal-body'>
                <div class='example-box-wrapper'>
                    <div class='example-box-wrapper'>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Jenis Pajak
                            </label>
                            <div class="col-md-4">
                                <input type="hidden" id="idjenispajak">
                                <input type="hidden" id="idobjekwp">
                                <input type="text" class="form-control" id="jenispajak" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Nama WP
                            </label>
                            <div class="col-md-4">
                                <input type="text" class="form-control" id="namawp" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Masa Pajak
                            </label>
                            <div class="col-sm-4">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <input type="text" class="form-control" id="masaawal" readonly="">
                                </div>
                            </div>
                            <label class="col-sm-1 control-label">S/D</label>
                            <div class="col-sm-4">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <input type="text" class="form-control" id="masaakhir" readonly="">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Alamat WP
                            </label>
                            <div class="col-md-9">
                                <textarea class="form-control" id="alamatwp">
                                        
                                </textarea>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Penandatangan
                            </label>
                            <div class="col-md-9">
                                <select id="ttd0" class="form-control">
                                    <?php foreach ($ar_ttd0 as $row) { ?>
                                        <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div> 
            </div>
            <div class='modal-footer'>
                <div class='col-sm-12'> 
                    <a href="#" class="btn btn-sm btn-danger" title="" onclick="cetaksuratteguran()"><i class="glyph-icon icon-file-pdf-o"></i> PDF</a>
                    <button class='btn btn-primary btn-sm' onclick='tutupCetakSuratTeguran()'><i class='glyph-icon icon-close'></i> Tutup</button>
                </div>              
            </div> 
        </div>
    </div>
</div>
<script type="text/javascript">
    function bukaCetakSuratTeguran(a, b) {
        $.post('<?= $this->url() ?>/dataSuratTeguran', {parameter: a, idobjekwp: b}, function (data) {
            var aa = JSON.parse(data);
            $("#idobjekwp").val(aa.idobjekwp);
            $("#namawp").val(aa.namawp);
            $("#alamatwp").val(aa.alamatwp);
            $("#jenispajak").val(aa.jenispajak);
            $("#idjenispajak").val(aa.idjenispajak);
            $("#masaawal").val(aa.t_masaawal);
            $("#masaakhir").val(aa.t_masaakhir);
        });
        $('#modalCetakSuratTeguran').modal('show');
    }

    function tutupCetakSuratTeguran() {
        $('#modalCetakSuratTeguran').modal('hide');
    }

    function cetaksuratteguran() {
        window.open('<?= $this->url() ?>/cetaksuratteguran?idobjekwp=' + $("#idobjekwp").val() + "&ttd0=" + $("#ttd0").val() + "&masaawal=" + $("#masaawal").val() + "&masaakhir=" + $("#masaakhir").val());
    }
</script>